US-CERT Technical Cyber Security Alert TA07-355A -- Adobe Updates for Multiple Vulnerabilities

2007-12-21T00:00:00
ID SECURITYVULNS:DOC:18712
Type securityvulns
Reporter Securityvulns
Modified 2007-12-21T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1

       National Cyber Alert System

Technical Cyber Security Alert TA07-355A

Adobe Updates for Multiple Vulnerabilities

Original release date: December 21, 2007 Last revised: -- Source: US-CERT

Systems Affected

 * Adobe Flash Player 9.0.48.0 and earlier
 * Adobe Flash Player 8.0.35.0 and earlier
 * Adobe Flash Player 7.0.70.0 and earlier

Overview

Adobe has released Security bulletin APSB07-20 to address multiple vulnerabilities affecting Adobe Flash Player. Attackers could exploit these vulnerabilities to execute arbitrary code, perform DNS rebinding and cross-site scripting attacks, conduct port scans, or cause a denial of service.

I. Description

Adobe Security Update APSB07-20 addresses a number of vulnerabilities affecting Adobe Flash 9.0.48.0 and earlier, 8.0.35.0 and earlier and 7.0.70 and earlier. Further details are available in the related vulnerability notes.

An attacker could exploit these vulnerabilities by convincing a user to load a specially crafted Flash file. Flash content is widely deployed on the internet. An attacker could distribute Flash files using web sites that allow user-supplied content, like popular social networking sites.

II. Impact

The impacts of these vulnerabilities vary. An attacker may be able to execute arbitrary code, perform DNS rebinding or cross-site scripting attacks, conduct port scans, or cause a denial of service.

III. Solution

Upgrade Flash Player

Upgrade Flash Player according to the information in Adobe Security bulletin APSB97-20. For the port scanning issue (CVE-2007-4324), consider ActionScript network socket functionality per TechNote kb402956.

Adobe provides a way to determine which version of Flash Player is installed and a way to configure notifications of updates.

IV. References

* Vulnerability notes for Adobe Security Update APSB07-20 -
  <http://www.kb.cert.org/vuls/byid?searchview&query=APSB07-20>

* Adobe Security Bulletin APSB07-20 - <http://www.adobe.com/support/security/bulletins/apsb07-20.html>

* Securing Your Web Browser - <http://www.us-cert.gov/reading_room/securing_browser/>

The most recent version of this document can be found at:

 <http://www.us-cert.gov/cas/techalerts/TA07-355A.html>

Feedback can be directed to US-CERT Technical Staff. Please send email to <cert@cert.org> with "TA07-355A Feedback VU#758769" in the subject.


For instructions on subscribing to or unsubscribing from this mailing list, visit <http://www.us-cert.gov/cas/signup.html>.


Produced 2007 by US-CERT, a government organization.

Terms of use:

 &lt;http://www.us-cert.gov/legal.html&gt;

Revision History

December 21, 2007: Initial release -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.2.1 (GNU/Linux)

iQEVAwUBR2vXdfRFkHkM87XOAQIkugf+OFoNkAsI7vI15fuTGWKzXTTRazJ/0XjP 8Ao9dQqNJwIBwiyLr/rpuFkV5KuJoU5wr7pj9nG74Nm6VNsTTov52kLa2z4Htx6d zbDfFADHNpGQvWcXeR+OUsE/yXgMGSfesgooSbLdn9iRLSBZSDDz4WaTdhK4JVkO snIveVADwWA2vVtGgwclPx0DhxAb57t2nBKQ+pNzsiIedTBiINbWyOG/A8Sst/B9 WuN2GXA1ARmQSTSBy2nuYNeF2g9z3FVRzAcBoMJ0ss0K2RBrcshJcgoZzIatCSlc z8eQMxldtCaFuyRJTQ2vdwviBWUUlveYANTJJ6sh/rF3/EuwOyS0pg== =gxJQ -----END PGP SIGNATURE-----